%global pkgvers 0
%global scdate0 20240407
%global schash0 7e9609d15f44679395a7c97e326826ef9859a78e
%global branch0 master
%global source0 https://github.com/hyperopt/hyperopt.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-hyperopt
Version:        0.2.7
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Hyperopt: Distributed Hyperparameter Optimization
License:        BSD
BuildArch:      noarch

URL:            https://github.com/hyperopt/hyperopt

BuildRequires:  git python3-devel python3-setuptools

%description
Serial and parallel optimization over awkward search spaces,
which may include real-valued, discrete, and conditional dimensions.


%package -n     python3-hyperopt
Summary:        %{summary}
Provides:       python-hyperopt

%description -n python3-hyperopt
Serial and parallel optimization over awkward search spaces,
which may include real-valued, discrete, and conditional dimensions.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install


%files -n python3-hyperopt
%license LICENSE.txt
%doc README.md
%{_bindir}/*
%{python3_sitelib}/hyperopt/
%{python3_sitelib}/hyperopt-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
